name: linuxserver-jellyfin
services:
  app:
    image: linuxserver/jellyfin:10.11.6
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      JELLYFIN_PublishedServerUrl: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: JELLYFIN_PublishedServerUrl
          description:
            en_us: Set the autodiscovery response domain or IP address, include http(s)://. [OPTIONAL]
    ports:
      - target: 8096
        published: 8096
        protocol: tcp
      - target: 8920
        published: 8920
        protocol: tcp
      - target: 7359
        published: 7359
        protocol: udp
      - target: 1900
        published: 1900
        protocol: udp
    volumes:
      - type: bind
        source: /srv/lsio/jellyfin/config
        target: /config
      - type: bind
        source: /srv/lsio/jellyfin/data/tvshows
        target: /data/tvshows
      - type: bind
        source: /srv/lsio/jellyfin/data/movies
        target: /data/movies
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: 'Jellyfin is a Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Emby and Plex, to provide media from a dedicated server to end-user devices via multiple apps. Jellyfin is descended from Emby''s 3.5.2 release and ported to the .NET Core framework to enable full cross-platform support. There are no strings attached, no premium licenses or features, and no hidden agendas: just a team who want to build something better and work together to achieve it.'
  tagline:
    en_us: 'A Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Emby and Plex, to provide media from a dedicated server to end-user devices via multiple apps. Jellyfin is descended from Emby''s 3. 5. 2 release and ported to the. NET Core framework to enable full cross-platform support. There are no strings attached, no premium licenses or features, and no hidden agendas: just a team who want to build something better and work together to achieve it.'
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/jellyfin-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/jellyfin-logo.png
  title:
    en_us: Jellyfin
  category: LinuxServer.io
